@import 'vars';

.BanklessDaoBanner {
  width: auto;
  height: 177px;
  left: 0;
  right: 0;
  text-align: center;
  background: #000000;
  display: flex;
  margin-left: auto;
  margin-right: auto;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin-top: 50px;
  border-radius: unset;
  @media (min-width: 768px) {
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    margin-top: unset;
    position: absolute;
    padding-top: unset;
    width: 369px;
    height: 177px;
  }
}

.main {
  background: linear-gradient(193.46deg, rgba(147, 1, 7, 0.82) 0%, rgba(0, 0, 0, 0.82) 37.34%);
  background-color: #fff;
  @media (min-width: 768px) {
    padding-top: unset;
  }

  div[class*='Header_mainContainer'] {
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    z-index: 999;
    @media (min-width: 768px) {
      position: static;
    }
    header[class*='Header_header'] {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: center;
      margin: 0;
      @media (min-width: 768px) {
        margin: 0 24px;
        justify-content: space-between;
      }
    }
  }
}

.upperContainer {
  position: relative;
  width: 265px;
  height: 265px;
  margin: 41px auto;
  z-index: 0;

  @media (min-width: 768px) {
    margin: 0 0 104px;
    width: 480px;
    height: 480px;
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
}
.lowerContainer {
  display: flex;
  flex-direction: column;
  width: 300px;
  height: auto;

  background: rgba(0, 0, 0, 0.5);
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);

  border-radius: 15px;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  @media (min-width: 768px) {
    width: 632px;
    padding: 44px 76px 26px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}
.relativeWrapper {
  position: relative;
  margin-top: 30px;
  height: 42px;
  width: 100%;
  @media (min-width: 768px) {
    margin-top: 0;
    height: 65px;
  }
}
.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 42px;
  border-radius: 20px;
  border: 0;
  font-family: $font-bankless-dao;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: #c0bebe;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    width: 100%;
    padding: 21px 0 22px 22px;
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 12px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 30px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}

.buttonWrapper {
  position: relative;
  display: flex;
  margin-top: 30px;
  flex-direction: column;
  align-items: center;
  width: 100%;
  @media (min-width: 768px) {
    margin-top: 52px;
  }
}

.button {
  font-family: $font-bankless-dao;
  font-weight: 600;
  font-size: 18px;
  line-height: 21.94px;
  letter-spacing: 2%;
  color: white;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0;

  background: #ffd200;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  text-transform: uppercase;

  width: 100%;
  height: 41.81px;
  padding: 0 17px;
  border-radius: 20px;

  &:disabled {
    background: rgba(0, 179, 24, 0.5) !important;
    cursor: not-allowed;
  }
  @media (min-width: 768px) {
    width: 100%;
    height: 65px;
  }
  span {
    visibility: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    transform: translate(0, -25%);
    &::after {
      visibility: visible;
      content: 'MINT NOW';
    }
  }
}
.status {
  position: absolute;
  font-family: $font-bankless-dao;
  font-style: normal;
  top: -32px;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #00b318;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    top: -50px;
  }
}

.slider {
  background-color: rgba(255, 255, 255, 0.25);
  width: 225px;
  margin-top: 30px;
  background-color: transparent;

  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    width: 100%;
    margin-top: 42px;
  }
}

.sliderInfo {
  margin: 0;
  font-family: $font-bankless-dao;
  font-weight: 500;
  font-style: italic;
  line-height: 18px;
  margin-top: 8px;
  padding: 0;
  font-size: 10px;
  color: rgba(255, 255, 255, 0.75);
  @media (min-width: 768px) {
    font-size: 15px;
  }
}
.percentage {
  font-family: $font-bankless-dao;
  color: #fff;
  margin-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.02em;
  @media (min-width: 768px) {
    font-size: 15px;
  }
}
.details {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  @media (min-width: 768px) {
    padding: 25px 56px 78px 58px;
  }

  .row {
    padding-bottom: 30px;
    display: flex;
    flex-direction: column;
    .rowTitle {
      color: #1f6fe5;
      font-weight: bold;
      font-size: 20px;
      margin-bottom: 10px;
    }
    .rowValue {
      color: black;
      font-weight: 500;
      font-size: 22px;
    }
  }
  @media (min-width: 768px) {
    width: 55%;
    padding: 0;
  }
}

.container {
  // margin: 0 auto;
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 121px auto;
  }
}
.navlinks {
  display: flex;
  justify-content: space-between;
  list-style: none;
  margin-bottom: 0;
  padding-left: 0;
  width: 115px;

  @media (min-width: 768px) {
    width: 180px;
  }

  .linkContainer {
    .link {
      display: flex;
      background-color: transparent;
      outline: none;
      border: none;
      text-decoration: none;
      color: $c-alto;
      font-size: 17px;

      &:global(.active) {
        font-weight: 700;
        color: $c-flush-orange;
      }

      img {
        height: 15px;

        @media (min-width: 768px) {
          height: 26px;
        }
      }

      &:hover,
      &:focus {
        color: #fff;
      }
    }
  }
}
.indicatorContainer {
  position: absolute;
  bottom: -55px;
  display: flex;
  justify-content: space-around;
  div {
    width: 19.2px;
    height: 19.2px;
    border-radius: 100%;
    margin-right: 28px;
    margin-left: 28px;
  }
  @media (min-width: 768px) {
    width: 29.85px;
    right: -78px;
    bottom: 70%;
    display: block;
    height: 29.85px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
      margin: 0 0 28px;
    }
  }

  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}

.actionButton {
  font-family: $font-bankless-dao;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #ffcd00;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  border-radius: 15px;

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
  }
  &[href*='influence'] {
    visibility: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    transform: translate(0, -25%);
    &::after {
      visibility: visible;
      background: #ffcd00;
      width: 100%;
      box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
      min-height: 50px;
      display: flex;
      justify-content: center;
      align-items: center;
      content: 'To the voting realm';
      @media (min-width: 768px) {
        min-width: 230px;
        min-height: 65px;
      }
    }
  }
}
.connect {
  width: 100%;
  button {
    font-family: Montserrat;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 2%;
    white-space: nowrap;
    color: white;
    border: 0;
    text-transform: uppercase;
    background: #00b318;
    box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
    border-radius: 15px;
    width: 100%;
    height: 41.81px;
    margin-bottom: 18px;
    @media (min-width: 768px) {
      width: 100%;
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}

.introduction {
  font-size: 21px;
  margin-bottom: 17px;
}
